@ECHO OFF

set device_name=Mi 9T / Redmi K20
set rec_name=TWRP Orange Fox Android 10
set rec_ver=3.3.1-10.1_1
set rec_auth=orangefox
set rec_team=orangefox
set rec_date=19.03.2020
set rec_img=orangefox_mi9t_k20_recovery.img
set rec_edit=MIUI Turkiye By.TRabZonLu

TITLE %device_name% - TEK TUS TWRP YUKLEME ARACI
color 4f

:LOGO
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.              RECOVERY TEMEL BILGILER
ECHO.
ECHO.              REC. Adi :%rec_name%     hhhhhhhhhhhhhyo+/////+oyhhhhhhhhhhhhhhhhhhhhhhhhhh        
ECHO.              REC. Ver :%rec_ver%                   hhhhhhhhhy+-`  `-/+osssooosyhhhhhhhhhhhhhhhhhhhhhh
ECHO.              Cihaz Adi:%device_name%              hhhhhhhh+`   .ohhhhhhhhhhhhyhhhhhhhhhhhhhhhhhhhhhh
ECHO.              Sahibi   :%rec_auth%                      hhhhhhh/    :hhhhhhhhhhhhhhhhhh:osoyhhhhhhhhhhhhhh
ECHO.              Ekip     :%rec_team%                      hhhhhhh`    shhhhhhhhhhhhhhhyo/    +hhhhhhhhhhhhhh
ECHO.              Tarih    :%rec_date%                     hhhhhhh:    :hhhhhhhhhhhhhhhhhh+yhyyhhhhhhhhhhhhhh
ECHO.              Duzenleme:%rec_edit%      hhhhhhhh/`   -ohhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhh
ECHO.                                                       hhhhhhhhhy+-`  `-/ossssooosyhhhhhhhhhhhhhhhhhhhhhh
ECHO.                                                       hhhhhhhhhhhhhso+/:::/+oshhhhhhhhhhhhhhhhhhhhhhhhhh
ECHO.***********************************************
ECHO. ** O N E M L I **
ECHO.Fox klasorunu dahili dafizaya kopyalayin
ECHO.
ECHO.Devam etmek icin herhangi bir tusa basin...
pause>nul

:MENU
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.          Telefonun Simdiki Durumu:
ECHO.
ECHO.              1.Cihaz Acik
ECHO.
ECHO.              2.Cihaz Fastboot modunda
ECHO.
ECHO.              3.Bilmiyorum
ECHO.
ECHO.
ECHO.***********************************************
ECHO.
set choice=
set /p choice=Lutfen telefonunuzun durumuna uygun numarayi seciniz.
if not "%choice%"=="" set choice=%choice:~0,1%
if /i "%choice%"=="1" goto IN_SYSTEM
if /i "%choice%"=="2" goto FASTBOOT_MODE
if /i "%choice%"=="3" goto OTHERS
ECHO.
ECHO.Yanlis giris yaptiniz, tekrar seciniz...
timeout /t 2 /nobreak >NUL
ECHO.
goto MENU


:OTHERS
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.            Cihazinizi lutfen
ECHO.
ECHO.               Acik konuma
ECHO.                  veya
ECHO.        Fastboot moduna getiriniz
ECHO.
ECHO.Onceki menuye donmek icin herhangi bir tusa basin.
ECHO.Herhangi bir islem yapilmazsa, 6 saniye sonra otomatik olarak geri donecektir.
ECHO.***********************************************
ECHO.
timeout /t 6 >nul
echo.
goto MENU


:IN_SYSTEM
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.Lutfen telefonunuzu bilgisayariniza dogru sekilde baglayiniz:
ECHO.
ECHO.      Lutfen asagidaki islemleri yaptiginiza emin olunuz:
ECHO.      1.Bootloader kilidinin acik olduguna
ECHO.      2.Telefonun acik olduguna
ECHO.      3.USB hata ayiklamanin acik olduguna
ECHO.      4.Driverlarin bilgisayariniza dogru bir sekilde yuklenmis olduguna
ECHO.      5.Telefonunuz USB hata ayiklama yetkilendirmesini istediginde, her zaman yetkilendir secenegini sectiginize
ECHO.
ECHO.Devam etmek icin herhangi bir tusa basin...
ECHO.***********************************************
ECHO.
pause>nul
ECHO.        Cihazin dogru baglanip baglanmadigi kontrol ediliyor ...
ECHO.
ECHO.   (Bu arayuzde uzun sure kalirsaniz, lutfen yukaridakileri kontrol edin
ECHO.                      ve araci yeniden baslatin)
ECHO.***********************************************
ECHO.
timeout /t 2 /nobreak >NUL
adb.exe wait-for-device >NUL 2>NUL

CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.
ECHO.
ECHO.             Telefon yeniden baslatiliyor ...
ECHO.
ECHO.
ECHO.***********************************************
ECHO.
ECHO.  (Bu arayuzde uzun sure kalirsaniz, lutfen araci yeniden baslatiniz)
ECHO.
adb.exe reboot bootloader >NUL 2>NUL
timeout /t 3 /nobreak >NUL
goto FLASHING


:FASTBOOT_MODE
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.Lutfen telefonunuzu bilgisayariniza dogru sekilde baglayiniz:
ECHO.
ECHO.        Lutfen asagidaki islemleri yaptiginiza emin olunuz:
ECHO.        1.Bootloader kilidinin acik olduguna
ECHO.        2.Telefonun Fastboot modunda olduguna
ECHO.        3.Driverlarin bilgisayariniza dogru bir sekilde yuklenmis olduguna
ECHO.
ECHO.Devam etmek icin herhangi bir tusa basin...
ECHO.***********************************************
ECHO.
pause>nul
goto FLASHING


:FLASHING
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.
ECHO.        Cihazin dogru baglanip baglanmadigi kontrol ediliyor ...
ECHO.
ECHO.
ECHO. Bu arayuzde uzun sure kalirsaniz, lutfen asagidaki islemleri yaptiginiza emin olunuz:
ECHO.
ECHO.        1.USB kablosunun dogru baglandigina
ECHO.        2.Driverlarin bilgisayariniza dogru bir sekilde yuklenmis olduguna
ECHO.        3.Telefonun Fastboot modunda acilmis olduguna
ECHO.
ECHO.        ve araci yeniden baslatin...
ECHO.***********************************************
timeout /t 2 /nobreak >NUL
fastboot.exe wait-for-device >NUL 2>NUL

CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.
ECHO.
ECHO.             TWRP Recovery cihaza yaziliyor...
ECHO.
ECHO.
ECHO.***********************************************
ECHO.
ECHO.(Successfully yazarsa islem basarilidir, aksi halde twrp yuklenmemistir)
ECHO.
ECHO.   (Bu arayuzde uzun sure kalirsaniz, lutfen araci yeniden baslatiniz)
ECHO.
fastboot.exe flash recovery "%rec_img%" || goto FLASH_FAILED
fastboot.exe flash misc misc.bin >NUL 2>NUL
timeout /t 6 /nobreak >NUL
goto FLASH_OVER


:FLASH_FAILED
ECHO.
ECHO. Hata!
timeout /t 6 /nobreak >NUL
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.
ECHO.                   Yazma Hatali!
ECHO.
ECHO.           1.Lutfen telefon modelinin dogru olup olmadigini kontrol edin
ECHO.           2.Telefonun Fastboot modunda acilmis oldugunu kontrol edin
ECHO.           3.Programi yeniden calistirin!
ECHO.             Yine basarili olmuyorsa iletisime gecin
ECHO.
ECHO.           Bu araci kullandiginiz icin tesekkur ederiz.
ECHO.
ECHO.           (Programdan cikmak icin herhangi bir tusa basin)
ECHO.***********************************************
ECHO.
timeout /t 1 /nobreak >NUL
pause >NUL
EXIT


:FLASH_OVER
CLS
ECHO.
ECHO.         %device_name% - TEK TUS TWRP YUKLEME ARACI
ECHO.***********************************************
ECHO.
ECHO.             Recovery basariyla yazildi.
ECHO.
ECHO.
ECHO.             Telefon yeniden baslayacak
ECHO.             1-2 kez yeniden baslatilabilir..
ECHO.
ECHO.
ECHO.             Bu araci kullandiginiz icin tesekkur ederiz.
ECHO.
ECHO.             (Programdan cikmak icin herhangi bir tusa basin)
ECHO.***********************************************
ECHO.
fastboot.exe reboot
pause >NUL

EXIT


